Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionHeader.SortIndicator

    java.lang.Object
      java.lang.Enum<QStyleOptionHeader.SortIndicator>
          com.trolltech.qt.gui.QStyleOptionHeader.SortIndicator

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionHeader.SortIndicator>

Enclosing class:
  QStyleOptionHeader

    public static enum QStyleOptionHeader.SortIndicator

extends java.lang.Enum<QStyleOptionHeader.SortIndicator>
implements QtEnumerator

Indicates which direction the sort indicator should be drawn

See Also:
  `sortIndicator`

Enum Constant Summary
`None` No sort indicator is needed
`SortDown` Draw a down indicator
`SortUp` Draw an up indicator

Method Summary
`static QStyleOptionHeader.SortIndicator` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionHeader.SortIndicator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionHeader.SortIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QStyleOptionHeader.SortIndicator None

  No sort indicator is needed

### SortUp

    public static final QStyleOptionHeader.SortIndicator SortUp

  Draw an up indicator

### SortDown

    public static final QStyleOptionHeader.SortIndicator SortDown

  Draw a down indicator

Method Detail

### values

    public static final QStyleOptionHeader.SortIndicator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionHeader.SortIndicator c : QStyleOptionHeader.SortIndicator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionHeader.SortIndicator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionHeader.SortIndicator resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD